Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# QObex Class Reference

The QObex class provides an interface to OpenOBEX. More...

`#include <qobex.h>`

List of all member functions.

## Public Members

- QObex ()

## Detailed Description

The QObex class provides an interface to OpenOBEX.

QObex links with OpenOBEX, which is an open source implementation of the Object Exchange (OBEX) protocol. This protocol is essentially a typed file-exchange protocol. OpenOBEX is distributed under the terms of the GNU Lesser General Public License (LGPL). Primary copyright holders of OpenOBEX include Dag Brattli and Pontus Fuchs. QObex is used by Qtopia for infra-red communications.

The version of OpenOBEX included here includes some functions of GLIB, which is distributed under the terms of the GNU Library General Public License (LGPL). The primary copyright holders of GLIB are Peter Mattis, Spencer Kimball and Josh MacDonald. More information about OpenOBEX can be found at http://openobex.sourceforge.net/

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.